Last Comment Bug 429666 - Expose ROLE_DOCUMENT for ARIA landmarks that inherit from document
: Expose ROLE_DOCUMENT for ARIA landmarks that inherit from document
Status: VERIFIED FIXED
post1.9[has-patch,has-review]
: access
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla1.9.1a1
Assigned To: Aaron Leventhal
:
: alexander :surkov
Mentors:
Depends on:
Blocks: aria 191a11y
  Show dependency treegraph
 
Reported: 2008-04-18 06:08 PDT by Aaron Leventhal
Modified: 2008-07-17 07:32 PDT (History)
3 users (show)
mzehe: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Support article with ROLE_DOCUMENT (1.39 KB, patch)
2008-04-21 07:33 PDT, Aaron Leventhal
mzehe: review+
dsicore: approval1.9-
Details | Diff | Splinter Review
Testcase: just use role="article" (50 bytes, text/html)
2008-06-11 01:56 PDT, Aaron Leventhal
no flags Details
Patch containing both original patch and Mochitest (3.23 KB, patch)
2008-06-16 00:07 PDT, Marco Zehe (:MarcoZ)
surkov.alexander: review+
Details | Diff | Splinter Review

Description Aaron Leventhal 2008-04-18 06:08:34 PDT
At least 1 ARIA landmark inherits from "document" -- it's role="article".

For the ATK/MSAA enumerated roles we are supposed to expose the closest role. In this case that would be ROLE_DOCUMENT.

I'll have to check to see if there are other sitatuons like this.
Comment 1 Aaron Leventhal 2008-04-21 07:33:46 PDT
Created attachment 316809 [details] [diff] [review]
Support article with ROLE_DOCUMENT

There are no other descendant roles for document.
Comment 2 Marco Zehe (:MarcoZ) 2008-04-21 09:04:44 PDT
Comment on attachment 316809 [details] [diff] [review]
Support article with ROLE_DOCUMENT

r=me
Comment 3 Damon Sicore (:damons) 2008-04-21 13:53:08 PDT
Comment on attachment 316809 [details] [diff] [review]
Support article with ROLE_DOCUMENT

Tests?  Explanation of risk?  Re-request approval once addressed.
Comment 4 Marco Zehe (:MarcoZ) 2008-06-11 00:23:37 PDT
Aaron, is there a test page I could use for a Mochitest for this one?
Comment 5 Aaron Leventhal 2008-06-11 01:56:06 PDT
Created attachment 324597 [details]
Testcase: just use role="article"
Comment 6 Marco Zehe (:MarcoZ) 2008-06-16 00:07:43 PDT
Created attachment 325233 [details] [diff] [review]
Patch containing both original patch and Mochitest

Original patch by Aaron, this also contains a Mochitest for it.
Comment 7 alexander :surkov 2008-06-16 23:00:50 PDT
Comment on attachment 325233 [details] [diff] [review]
Patch containing both original patch and Mochitest

r=me.
Though I would suggest to call the file as "test_aria_role_article". We have already the file (test_aria_activedescendant). It should be easier to find out that file and extend test in the future.
Comment 8 Marco Zehe (:MarcoZ) 2008-06-16 23:54:05 PDT
Pushed in changeset:
http://hg.mozilla.org/mozilla-central/index.cgi/rev/cc03e7e0747b
Comment 9 Marco Zehe (:MarcoZ) 2008-06-27 01:54:33 PDT
Verified fixed in Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1a1pre) Gecko/2008062603 Minefield/3.1a1pre

Note You need to log in before you can comment on or make changes to this bug.